--- title: "Export Report" slug: "export-report" updated: 2026-01-06T19:11:43Z published: 2026-01-06T19:11:46Z canonical: "docs.validatar.com/export-report" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.validatar.com/llms.txt > Use this file to discover all available pages before exploring further. # Export Report Post/api/v1/Reporting/reports/{id}/export Exports a report to a file SecurityAPI Key: x-val-api-tokenHeader parameter namex-val-api-token API key needed to access endpoints. Each Validatar user can manage their own set of API keys. Path parametersidinteger (int32) Required ID of the report to export Body parameters Additional information about the export object fileFormatstring Valid values[ "Xlsx", "Csv" ] maxRecordsinteger (int32) Total number of records to return. Pass 0 to return all records. object fileFormatstring Valid values[ "Xlsx", "Csv" ] maxRecordsinteger (int32) Total number of records to return. Pass 0 to return all records. object fileFormatstring Valid values[ "Xlsx", "Csv" ] maxRecordsinteger (int32) Total number of records to return. Pass 0 to return all records. object fileFormatstring Valid values[ "Xlsx", "Csv" ] maxRecordsinteger (int32) Total number of records to return. Pass 0 to return all records. Responses200 OK object exportKeystring | null Unique key for export statusMessagestring | null Status of export isCompletedboolean Whether the export is complete or not filenamestring | null Suggested name for file mimeTypestring | null MimeType of returned file contentBase64string | null Base64 string with file contents 404 Not Found object errorstring | null